Foreman - Bug #22269

Operating system templates are ordered inconsistently in ULl.

01/15/2018 12:42 PM - Daniel Lobato Garcia

Status: Closed
Priority: Normal
Assignee: yifat makias
Category: TFTP
Target version:
Difficulty: Fixed in Releases: 2.0.0
Triaged: No Found in Releases:
Bugzilla link: 1531674 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/7031
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1531674

Description of problem:

If you navigate to "Hosts" -> "Operating Systems" -> specific-OS -> "Templates" tab for two different Operating Systems, the list of

template types can be ordered differently. This makes for side-by-side comparison awkwardness.

How reproducible:

Steps to Reproduce:

1. navigate to "Hosts" -> "Operating Systems" -> specific-OS -> "Templates" tab for two different Operating Systems and compare

the order.

Actual results:

Example from customer and local reproducer...

"Red Hat 7.3" template order....
Provisioning template
PXELinux template

Finish template

iPXE template

User data template

Discovery Kexec template
Boot disk embedded template

"Red Hat 6.8" template order ....
PXELinux template

iPXE template

Provisioning template

Finish template

User data template

Discovery Kexec template

Boot disk embedded template

Expected results:

Consistency in the order of template types - Maybe alphabetical (excepting when types are missing due to not being applicable)

Related issues:

Related to Foreman - Bug #28737: When creating a new OS, | can not assign pro...

Associated revisions

Revision 257d7701 - 11/13/2019 09:47 AM - yifat makias

Fixes #22269 - Added consistent order to os templates

05/20/2024

Closed



https://bugzilla.redhat.com/show_bug.cgi?id=1531674

History

#1 - 01/15/2018 12:43 PM - Daniel Lobato Garcia

- Subject changed from Operating system templates are ordered inconsistently in Ul.
to Operating system templates are ordered inconsistently in UI.

https://gfycat.com/WhiteSolidFinwhale showcases the issue

#2 - 03/19/2018 10:41 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5337 added

#3 - 09/22/2018 01:23 AM - The Foreman Bot
- Status changed from Ready For Testing to New
- Pull request deleted (https://github.com/theforeman/foreman/pull/5337)

#4 - 09/10/2019 08:31 AM - yifat makias
- Status changed from New to Assigned

- Assignee set to yifat makias

#5 - 09/10/2019 11:39 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/7031 added

#6 - 11/13/2019 09:47 AM - The Foreman Bot
- Fixed in Releases 2.0.0 added

#7 - 11/13/2019 10:01 AM - yifat makias
- Status changed from Ready For Testing to Closed

Applied in changeset 257d770197b1b2df4b98afa7483b845518a968b3.

#8 - 01/13/2020 01:13 PM - Marek Hulan

- Related to Bug #28737: When creating a new OS, | can not assign provisioning templates added

05/20/2024

22


https://gfycat.com/WhiteSolidFinwhale
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/257d770197b1b2df4b98afa7483b845518a968b3
http://www.tcpdf.org

